Package org.eclipse.net4j.util.ui

## Class DefaultPropertySource.Augmented<RECEIVER,​AUGMENTING_RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultPropertySource<RECEIVER>
  - - org.eclipse.net4j.util.ui.DefaultPropertySource.Augmented<RECEIVER,​AUGMENTING_RECEIVER>

- All Implemented Interfaces:
    `IPropertySource`
  Enclosing class:
    DefaultPropertySource<RECEIVER>

      public abstract static class DefaultPropertySource.Augmented<RECEIVER,​AUGMENTING_RECEIVER>
      extends DefaultPropertySource<RECEIVER>

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.DefaultPropertySource

      `DefaultPropertySource.Augmented<RECEIVER,​AUGMENTING_RECEIVER>, DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Augmented​(RECEIVER object, IPropertyProvider<RECEIVER> provider, AUGMENTING_RECEIVER augmentingObject)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract IPropertySource` | `createAugmentingPropertySource​(AUGMENTING_RECEIVER augmentingObject)` |
    `java.lang.Object` | `getPropertyValue​(java.lang.Object id)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.DefaultPropertySource

      `addDescriptor, addDescriptor, addDescriptors, getEditableValue, getProperty, getPropertyDescriptor, getPropertyDescriptors, getReceiver, isPropertySet, resetPropertyValue, setPropertyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Augmented

          public Augmented​(RECEIVER object,
                           IPropertyProvider<RECEIVER> provider,
                           AUGMENTING_RECEIVER augmentingObject)

  - ### Method Detail

    - #### getPropertyValue

          public java.lang.Object getPropertyValue​(java.lang.Object id)

      Specified by:
        `getPropertyValue` in interface `IPropertySource`
      Overrides:
        `getPropertyValue` in class `DefaultPropertySource<RECEIVER>`

    - #### createAugmentingPropertySource

          protected abstract IPropertySource createAugmentingPropertySource​(AUGMENTING_RECEIVER augmentingObject)